### Enumeration

# Pango WrapMode

#### Declaration

    enum Pango.WrapMode

#### Description [src]

`PangoWrapMode` describes how to wrap the lines of a `PangoLayout` to the desired width.

For `PANGO_WRAP_WORD`, Pango uses break opportunities that are determined by the Unicode line breaking algorithm. For `PANGO_WRAP_CHAR`, Pango allows breaking at grapheme boundaries that are determined by the Unicode text segmentation algorithm.

#### Members

`PANGO_WRAP_WORD`

  Wrap lines at word boundaries.

  - Value: `0`
  - Available since: 1.0
`PANGO_WRAP_CHAR`

  Wrap lines at character boundaries.

  - Value: `1`
  - Available since: 1.0
`PANGO_WRAP_WORD_CHAR`

  Wrap lines at word boundaries, but fall back to character boundaries if there is not enough space for a full word.

  - Value: `2`
  - Available since: 1.0
`PANGO_WRAP_NONE`

  Do not wrap.

  - Value: `3`
  - Available since: 1.56